/*===========================================================================*/
/*   (Llib/ucs2.scm)                                                         */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Llib/ucs2.scm -indent -o objs/obj_u/Llib/ucs2.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___UCS2_TYPE_DEFINITIONS
#define BGL___UCS2_TYPE_DEFINITIONS
#endif													// BGL___UCS2_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62ucs2ze3zf3z72zz__ucs2z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62ucs2zd2upcasezb0zz__ucs2z00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cizc3zf3ze2zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zc3zd3zf3ze3zz__ucs2z00(ucs2_t, ucs2_t);
	static obj_t BGl_z62ucs2zc3zd3zf3z81zz__ucs2z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62ucs2zd2lowerzd2casezf3z91zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_z62ucs2zd2ze3charz53zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_z62integerzd2ze3ucs2zd2urz81zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__ucs2z00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cizd3zf3zf2zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cize3zf3zc2zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL ucs2_t BGl_integerzd2ze3ucs2z31zz__ucs2z00(int);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ucs2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zc3zf3z30zz__ucs2z00(ucs2_t, ucs2_t);
	static obj_t BGl_z62ucs2zd2alphabeticzf3z43zz__ucs2z00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zf3zf3zz__ucs2z00(obj_t);
	extern bool_t ucs2_digitp(ucs2_t);
	BGL_EXPORTED_DECL int BGl_ucs2zd2ze3integerz31zz__ucs2z00(ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2ze3zd3zf3zc3zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd3zf3z20zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2numericzf3z21zz__ucs2z00(ucs2_t);
	static obj_t BGl_z62ucs2ze3zd3zf3za1zz__ucs2z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL ucs2_t BGl_ucs2zd2downcasezd2zz__ucs2z00(ucs2_t);
	BGL_EXPORTED_DECL ucs2_t BGl_charzd2ze3ucs2z31zz__ucs2z00(unsigned char);
	static obj_t BGl_cnstzd2initzd2zz__ucs2z00(void);
	BGL_EXPORTED_DECL bool_t BGl_ucs2ze3zf3z10zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2upperzd2casezf3zf3zz__ucs2z00(ucs2_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__ucs2z00(void);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cizc3zd3zf3z31zz__ucs2z00(ucs2_t, ucs2_t);
	extern ucs2_t ucs2_tolower(ucs2_t);
	static obj_t BGl_gczd2rootszd2initz00zz__ucs2z00(void);
	static obj_t BGl_z62integerzd2ze3ucs2z53zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_z62charzd2ze3ucs2z53zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_z62ucs2zf3z91zz__ucs2z00(obj_t, obj_t);
	BGL_EXPORTED_DECL ucs2_t BGl_ucs2zd2upcasezd2zz__ucs2z00(ucs2_t);
	static obj_t BGl_z62ucs2zd2cizc3zd3zf3z53zz__ucs2z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2whitespacezf3z21zz__ucs2z00(ucs2_t);
	extern bool_t ucs2_upperp(ucs2_t);
	static obj_t BGl_z62ucs2zd2ze3integerz53zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_symbol1521z00zz__ucs2z00 = BUNSPEC;
	static obj_t BGl_z62ucs2zd2numericzf3z43zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_z62ucs2zd2downcasezb0zz__ucs2z00(obj_t, obj_t);
	extern bool_t ucs2_definedp(int);
	extern ucs2_t ucs2_toupper(ucs2_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_symbol1531z00zz__ucs2z00 = BUNSPEC;
	extern bool_t ucs2_whitespacep(ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cize3zd3zf3z11zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2lowerzd2casezf3zf3zz__ucs2z00(ucs2_t);
	BGL_EXPORTED_DECL ucs2_t BGl_integerzd2ze3ucs2zd2urze3zz__ucs2z00(int);
	static obj_t BGl_z62ucs2zd2upperzd2casezf3z91zz__ucs2z00(obj_t, obj_t);
	extern bool_t ucs2_lowerp(ucs2_t);
	static obj_t BGl_z62ucs2zd2cize3zd3zf3z73zz__ucs2z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62ucs2zd2cizc3zf3z80zz__ucs2z00(obj_t, obj_t, obj_t);
	extern bool_t ucs2_letterp(ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2alphabeticzf3z21zz__ucs2z00(ucs2_t);
	static obj_t BGl_z62ucs2zd2cizd3zf3z90zz__ucs2z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62ucs2zc3zf3z52zz__ucs2z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62ucs2zd2cize3zf3za0zz__ucs2z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62ucs2zd2whitespacezf3z43zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_z62ucs2zd3zf3z42zz__ucs2z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL unsigned char BGl_ucs2zd2ze3charz31zz__ucs2z00(ucs2_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_integerzd2ze3ucs2zd2urzd2envz31zz__ucs2z00,
		BgL_bgl_za762integerza7d2za7e31536za7,
		BGl_z62integerzd2ze3ucs2zd2urz81zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zc3zf3zd2envze2zz__ucs2z00,
		BgL_bgl_za762ucs2za7c3za7f3za7521537z00, BGl_z62ucs2zc3zf3z52zz__ucs2z00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zf3zd2envz21zz__ucs2z00,
		BgL_bgl_za762ucs2za7f3za791za7za7_1538za7, BGl_z62ucs2zf3z91zz__ucs2z00, 0L,
		BUNSPEC, 1);
	      BGL_DEFINE_STRING(BGl_string1502z00zz__ucs2z00,
		BgL_bgl_string1502za700za7za7_1539za7, "/tmp/bigloo/runtime/Llib/ucs2.scm",
		33);
	      BGL_DEFINE_STRING(BGl_string1503z00zz__ucs2z00,
		BgL_bgl_string1503za700za7za7_1540za7, "&ucs2=?", 7);
	      BGL_DEFINE_STRING(BGl_string1504z00zz__ucs2z00,
		BgL_bgl_string1504za700za7za7_1541za7, "bucs2", 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2upcasezd2envz00zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2upcase1542z00, BGl_z62ucs2zd2upcasezb0zz__ucs2z00, 0L,
		BUNSPEC, 1);
	      BGL_DEFINE_STRING(BGl_string1505z00zz__ucs2z00,
		BgL_bgl_string1505za700za7za7_1543za7, "&ucs2<?", 7);
	      BGL_DEFINE_STRING(BGl_string1506z00zz__ucs2z00,
		BgL_bgl_string1506za700za7za7_1544za7, "&ucs2>?", 7);
	      BGL_DEFINE_STRING(BGl_string1507z00zz__ucs2z00,
		BgL_bgl_string1507za700za7za7_1545za7, "&ucs2<=?", 8);
	      BGL_DEFINE_STRING(BGl_string1508z00zz__ucs2z00,
		BgL_bgl_string1508za700za7za7_1546za7, "&ucs2>=?", 8);
	      BGL_DEFINE_STRING(BGl_string1509z00zz__ucs2z00,
		BgL_bgl_string1509za700za7za7_1547za7, "&ucs2-ci=?", 10);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cizc3zf3zd2envz30zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2ciza7c3za71548z00,
		BGl_z62ucs2zd2cizc3zf3z80zz__ucs2z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zc3zd3zf3zd2envz31zz__ucs2z00,
		BgL_bgl_za762ucs2za7c3za7d3za7f31549z00, BGl_z62ucs2zc3zd3zf3z81zz__ucs2z00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2numericzf3zd2envzf3zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2numeri1550z00, BGl_z62ucs2zd2numericzf3z43zz__ucs2z00,
		0L, BUNSPEC, 1);
	      BGL_DEFINE_STRING(BGl_string1510z00zz__ucs2z00,
		BgL_bgl_string1510za700za7za7_1551za7, "&ucs2-ci<?", 10);
	      BGL_DEFINE_STRING(BGl_string1511z00zz__ucs2z00,
		BgL_bgl_string1511za700za7za7_1552za7, "&ucs2-ci>?", 10);
	      BGL_DEFINE_STRING(BGl_string1512z00zz__ucs2z00,
		BgL_bgl_string1512za700za7za7_1553za7, "&ucs2-ci<=?", 11);
	      BGL_DEFINE_STRING(BGl_string1513z00zz__ucs2z00,
		BgL_bgl_string1513za700za7za7_1554za7, "&ucs2-ci>=?", 11);
	      BGL_DEFINE_STRING(BGl_string1514z00zz__ucs2z00,
		BgL_bgl_string1514za700za7za7_1555za7, "&ucs2-alphabetic?", 17);
	      BGL_DEFINE_STRING(BGl_string1515z00zz__ucs2z00,
		BgL_bgl_string1515za700za7za7_1556za7, "&ucs2-numeric?", 14);
	      BGL_DEFINE_STRING(BGl_string1516z00zz__ucs2z00,
		BgL_bgl_string1516za700za7za7_1557za7, "&ucs2-whitespace?", 17);
	      BGL_DEFINE_STRING(BGl_string1517z00zz__ucs2z00,
		BgL_bgl_string1517za700za7za7_1558za7, "&ucs2-upper-case?", 17);
	      BGL_DEFINE_STRING(BGl_string1518z00zz__ucs2z00,
		BgL_bgl_string1518za700za7za7_1559za7, "&ucs2-lower-case?", 17);
	      BGL_DEFINE_STRING(BGl_string1519z00zz__ucs2z00,
		BgL_bgl_string1519za700za7za7_1560za7, "&ucs2-upcase", 12);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2alphabeticzf3zd2envzf3zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2alphab1561z00,
		BGl_z62ucs2zd2alphabeticzf3z43zz__ucs2z00, 0L, BUNSPEC, 1);
	      BGL_DEFINE_STRING(BGl_string1520z00zz__ucs2z00,
		BgL_bgl_string1520za700za7za7_1562za7, "&ucs2-downcase", 14);
	      BGL_DEFINE_STRING(BGl_string1522z00zz__ucs2z00,
		BgL_bgl_string1522za700za7za7_1563za7, "integer->ucs2", 13);
	      BGL_DEFINE_STRING(BGl_string1523z00zz__ucs2z00,
		BgL_bgl_string1523za700za7za7_1564za7, "Undefined UCS-2 character", 25);
	      BGL_DEFINE_STRING(BGl_string1524z00zz__ucs2z00,
		BgL_bgl_string1524za700za7za7_1565za7, "integer out of range or ", 24);
	      BGL_DEFINE_STRING(BGl_string1525z00zz__ucs2z00,
		BgL_bgl_string1525za700za7za7_1566za7, "&integer->ucs2", 14);
	      BGL_DEFINE_STRING(BGl_string1526z00zz__ucs2z00,
		BgL_bgl_string1526za700za7za7_1567za7, "bint", 4);
	      BGL_DEFINE_STRING(BGl_string1527z00zz__ucs2z00,
		BgL_bgl_string1527za700za7za7_1568za7, "&integer->ucs2-ur", 17);
	      BGL_DEFINE_STRING(BGl_string1528z00zz__ucs2z00,
		BgL_bgl_string1528za700za7za7_1569za7, "&ucs2->integer", 14);
	      BGL_DEFINE_STRING(BGl_string1529z00zz__ucs2z00,
		BgL_bgl_string1529za700za7za7_1570za7, "&char->ucs2", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2lowerzd2casezf3zd2envz21zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2lowerza71571za7,
		BGl_z62ucs2zd2lowerzd2casezf3z91zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2ze3charzd2envze3zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2za7e3cha1572za7, BGl_z62ucs2zd2ze3charz53zz__ucs2z00,
		0L, BUNSPEC, 1);
	      BGL_DEFINE_STRING(BGl_string1530z00zz__ucs2z00,
		BgL_bgl_string1530za700za7za7_1573za7, "bchar", 5);
	      BGL_DEFINE_STRING(BGl_string1532z00zz__ucs2z00,
		BgL_bgl_string1532za700za7za7_1574za7, "ucs2->char", 10);
	      BGL_DEFINE_STRING(BGl_string1533z00zz__ucs2z00,
		BgL_bgl_string1533za700za7za7_1575za7,
		"UCS-2 character out of ISO-LATIN-1 range", 40);
	      BGL_DEFINE_STRING(BGl_string1534z00zz__ucs2z00,
		BgL_bgl_string1534za700za7za7_1576za7, "&ucs2->char", 11);
	      BGL_DEFINE_STRING(BGl_string1535z00zz__ucs2z00,
		BgL_bgl_string1535za700za7za7_1577za7, "__ucs2", 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd3zf3zd2envzf2zz__ucs2z00,
		BgL_bgl_za762ucs2za7d3za7f3za7421578z00, BGl_z62ucs2zd3zf3z42zz__ucs2z00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cizd3zf3zd2envz20zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2ciza7d3za71579z00,
		BGl_z62ucs2zd2cizd3zf3z90zz__ucs2z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cize3zd3zf3zd2envzc3zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2ciza7e3za71580z00,
		BGl_z62ucs2zd2cize3zd3zf3z73zz__ucs2z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_integerzd2ze3ucs2zd2envze3zz__ucs2z00,
		BgL_bgl_za762integerza7d2za7e31581za7,
		BGl_z62integerzd2ze3ucs2z53zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2ze3integerzd2envze3zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2za7e3int1582za7,
		BGl_z62ucs2zd2ze3integerz53zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2downcasezd2envz00zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2downca1583z00, BGl_z62ucs2zd2downcasezb0zz__ucs2z00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd2ze3ucs2zd2envze3zz__ucs2z00,
		BgL_bgl_za762charza7d2za7e3ucs1584za7, BGl_z62charzd2ze3ucs2z53zz__ucs2z00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2ze3zf3zd2envzc2zz__ucs2z00,
		BgL_bgl_za762ucs2za7e3za7f3za7721585z00, BGl_z62ucs2ze3zf3z72zz__ucs2z00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2upperzd2casezf3zd2envz21zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2upperza71586za7,
		BGl_z62ucs2zd2upperzd2casezf3z91zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cizc3zd3zf3zd2envze3zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2ciza7c3za71587z00,
		BGl_z62ucs2zd2cizc3zd3zf3z53zz__ucs2z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cize3zf3zd2envz10zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2ciza7e3za71588z00,
		BGl_z62ucs2zd2cize3zf3za0zz__ucs2z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2whitespacezf3zd2envzf3zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2whites1589z00,
		BGl_z62ucs2zd2whitespacezf3z43zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2ze3zd3zf3zd2envz11zz__ucs2z00,
		BgL_bgl_za762ucs2za7e3za7d3za7f31590z00, BGl_z62ucs2ze3zd3zf3za1zz__ucs2z00,
		0L, BUNSPEC, 2);

/* contant bindings */
	static void bgl_constant_bindings()
	{
		BGL_BIND_PROCEDURE(BGl_ucs2ze3zd3zf3zd2envz11zz__ucs2z00,
			BgL_bgl_za762ucs2za7e3za7d3za7f31590z00);
		BGL_BIND_PROCEDURE(BGl_ucs2zd2whitespacezf3zd2envzf3zz__ucs2z00,
			BgL_bgl_za762ucs2za7d2whites1589z00);
		BGL_BIND_PROCEDURE(BGl_ucs2zd2cize3zf3zd2envz10zz__ucs2z00,
			BgL_bgl_za762ucs2za7d2ciza7e3za71588z00);
		BGL_BIND_PROCEDURE(BGl_ucs2zd2cizc3zd3zf3zd2envze3zz__ucs2z00,
			BgL_bgl_za762ucs2za7d2ciza7c3za71587z00);
		BGL_BIND_PROCEDURE(BGl_ucs2zd2upperzd2casezf3zd2envz21zz__ucs2z00,
			BgL_bgl_za762ucs2za7d2upperza71586za7);
		BGL_BIND_PROCEDURE(BGl_ucs2ze3zf3zd2envzc2zz__ucs2z00,
			BgL_bgl_za762ucs2za7e3za7f3za7721585z00);
		BGL_BIND_PROCEDURE(BGl_charzd2ze3ucs2zd2envze3zz__ucs2z00,
			BgL_bgl_za762charza7d2za7e3ucs1584za7);
		BGL_BIND_PROCEDURE(BGl_ucs2zd2downcasezd2envz00zz__ucs2z00,
			BgL_bgl_za762ucs2za7d2downca1583z00);
		BGL_BIND_PROCEDURE(BGl_ucs2zd2ze3integerzd2envze3zz__ucs2z00,
			BgL_bgl_za762ucs2za7d2za7e3int1582za7);
		BGL_BIND_PROCEDURE(BGl_integerzd2ze3ucs2zd2envze3zz__ucs2z00,
			BgL_bgl_za762integerza7d2za7e31581za7);
		BGL_BIND_PROCEDURE(BGl_ucs2zd2cize3zd3zf3zd2envzc3zz__ucs2z00,
			BgL_bgl_za762ucs2za7d2ciza7e3za71580z00);
		BGL_BIND_PROCEDURE(BGl_ucs2zd2cizd3zf3zd2envz20zz__ucs2z00,
			BgL_bgl_za762ucs2za7d2ciza7d3za71579z00);
		BGL_BIND_PROCEDURE(BGl_ucs2zd3zf3zd2envzf2zz__ucs2z00,
			BgL_bgl_za762ucs2za7d3za7f3za7421578z00);
		BGL_BIND_STRING(BGl_string1535z00zz__ucs2z00,
			BgL_bgl_string1535za700za7za7_1577za7);
		BGL_BIND_STRING(BGl_string1534z00zz__ucs2z00,
			BgL_bgl_string1534za700za7za7_1576za7);
		BGL_BIND_STRING(BGl_string1533z00zz__ucs2z00,
			BgL_bgl_string1533za700za7za7_1575za7);
		BGL_BIND_STRING(BGl_string1532z00zz__ucs2z00,
			BgL_bgl_string1532za700za7za7_1574za7);
		BGL_BIND_STRING(BGl_string1530z00zz__ucs2z00,
			BgL_bgl_string1530za700za7za7_1573za7);
		BGL_BIND_PROCEDURE(BGl_ucs2zd2ze3charzd2envze3zz__ucs2z00,
			BgL_bgl_za762ucs2za7d2za7e3cha1572za7);
		BGL_BIND_PROCEDURE(BGl_ucs2zd2lowerzd2casezf3zd2envz21zz__ucs2z00,
			BgL_bgl_za762ucs2za7d2lowerza71571za7);
		BGL_BIND_STRING(BGl_string1529z00zz__ucs2z00,
			BgL_bgl_string1529za700za7za7_1570za7);
		BGL_BIND_STRING(BGl_string1528z00zz__ucs2z00,
			BgL_bgl_string1528za700za7za7_1569za7);
		BGL_BIND_STRING(BGl_string1527z00zz__ucs2z00,
			BgL_bgl_string1527za700za7za7_1568za7);
		BGL_BIND_STRING(BGl_string1526z00zz__ucs2z00,
			BgL_bgl_string1526za700za7za7_1567za7);
		BGL_BIND_STRING(BGl_string1525z00zz__ucs2z00,
			BgL_bgl_string1525za700za7za7_1566za7);
		BGL_BIND_STRING(BGl_string1524z00zz__ucs2z00,
			BgL_bgl_string1524za700za7za7_1565za7);
		BGL_BIND_STRING(BGl_string1523z00zz__ucs2z00,
			BgL_bgl_string1523za700za7za7_1564za7);
		BGL_BIND_STRING(BGl_string1522z00zz__ucs2z00,
			BgL_bgl_string1522za700za7za7_1563za7);
		BGL_BIND_STRING(BGl_string1520z00zz__ucs2z00,
			BgL_bgl_string1520za700za7za7_1562za7);
		BGL_BIND_PROCEDURE(BGl_ucs2zd2alphabeticzf3zd2envzf3zz__ucs2z00,
			BgL_bgl_za762ucs2za7d2alphab1561z00);
		BGL_BIND_STRING(BGl_string1519z00zz__ucs2z00,
			BgL_bgl_string1519za700za7za7_1560za7);
		BGL_BIND_STRING(BGl_string1518z00zz__ucs2z00,
			BgL_bgl_string1518za700za7za7_1559za7);
		BGL_BIND_STRING(BGl_string1517z00zz__ucs2z00,
			BgL_bgl_string1517za700za7za7_1558za7);
		BGL_BIND_STRING(BGl_string1516z00zz__ucs2z00,
			BgL_bgl_string1516za700za7za7_1557za7);
		BGL_BIND_STRING(BGl_string1515z00zz__ucs2z00,
			BgL_bgl_string1515za700za7za7_1556za7);
		BGL_BIND_STRING(BGl_string1514z00zz__ucs2z00,
			BgL_bgl_string1514za700za7za7_1555za7);
		BGL_BIND_STRING(BGl_string1513z00zz__ucs2z00,
			BgL_bgl_string1513za700za7za7_1554za7);
		BGL_BIND_STRING(BGl_string1512z00zz__ucs2z00,
			BgL_bgl_string1512za700za7za7_1553za7);
		BGL_BIND_STRING(BGl_string1511z00zz__ucs2z00,
			BgL_bgl_string1511za700za7za7_1552za7);
		BGL_BIND_STRING(BGl_string1510z00zz__ucs2z00,
			BgL_bgl_string1510za700za7za7_1551za7);
		BGL_BIND_PROCEDURE(BGl_ucs2zd2numericzf3zd2envzf3zz__ucs2z00,
			BgL_bgl_za762ucs2za7d2numeri1550z00);
		BGL_BIND_PROCEDURE(BGl_ucs2zc3zd3zf3zd2envz31zz__ucs2z00,
			BgL_bgl_za762ucs2za7c3za7d3za7f31549z00);
		BGL_BIND_PROCEDURE(BGl_ucs2zd2cizc3zf3zd2envz30zz__ucs2z00,
			BgL_bgl_za762ucs2za7d2ciza7c3za71548z00);
		BGL_BIND_STRING(BGl_string1509z00zz__ucs2z00,
			BgL_bgl_string1509za700za7za7_1547za7);
		BGL_BIND_STRING(BGl_string1508z00zz__ucs2z00,
			BgL_bgl_string1508za700za7za7_1546za7);
		BGL_BIND_STRING(BGl_string1507z00zz__ucs2z00,
			BgL_bgl_string1507za700za7za7_1545za7);
		BGL_BIND_STRING(BGl_string1506z00zz__ucs2z00,
			BgL_bgl_string1506za700za7za7_1544za7);
		BGL_BIND_STRING(BGl_string1505z00zz__ucs2z00,
			BgL_bgl_string1505za700za7za7_1543za7);
		BGL_BIND_PROCEDURE(BGl_ucs2zd2upcasezd2envz00zz__ucs2z00,
			BgL_bgl_za762ucs2za7d2upcase1542z00);
		BGL_BIND_STRING(BGl_string1504z00zz__ucs2z00,
			BgL_bgl_string1504za700za7za7_1541za7);
		BGL_BIND_STRING(BGl_string1503z00zz__ucs2z00,
			BgL_bgl_string1503za700za7za7_1540za7);
		BGL_BIND_STRING(BGl_string1502z00zz__ucs2z00,
			BgL_bgl_string1502za700za7za7_1539za7);
		BGL_BIND_PROCEDURE(BGl_ucs2zf3zd2envz21zz__ucs2z00,
			BgL_bgl_za762ucs2za7f3za791za7za7_1538za7);
		BGL_BIND_PROCEDURE(BGl_ucs2zc3zf3zd2envze2zz__ucs2z00,
			BgL_bgl_za762ucs2za7c3za7f3za7521537z00);
		BGL_BIND_PROCEDURE(BGl_integerzd2ze3ucs2zd2urzd2envz31zz__ucs2z00,
			BgL_bgl_za762integerza7d2za7e31536za7);
	}

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;

		ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__ucs2z00));
		ADD_ROOT((void *) (&BGl_symbol1521z00zz__ucs2z00));
		ADD_ROOT((void *) (&BGl_symbol1531z00zz__ucs2z00));
#undef ADD_ROOT
		if (roots_max > 0)
			GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ucs2z00(long
		BgL_checksumz00_1264, char *BgL_fromz00_1265)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__ucs2z00))
				{
					BGl_requirezd2initializa7ationz75zz__ucs2z00 = BBOOL(((bool_t) 0));
					bgl_constant_bindings();
					BGl_gczd2rootszd2initz00zz__ucs2z00();
					BGl_cnstzd2initzd2zz__ucs2z00();
					return BGl_importedzd2moduleszd2initz00zz__ucs2z00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__ucs2z00(void)
	{
		{	/* Llib/ucs2.scm 14 */
			BGl_symbol1521z00zz__ucs2z00 =
				bstring_to_symbol(BGl_string1522z00zz__ucs2z00);
			return (BGl_symbol1531z00zz__ucs2z00 =
				bstring_to_symbol(BGl_string1532z00zz__ucs2z00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__ucs2z00(void)
	{
		{	/* Llib/ucs2.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* ucs2? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zf3zf3zz__ucs2z00(obj_t BgL_objz00_3)
	{
		{	/* Llib/ucs2.scm 146 */
			return UCS2P(BgL_objz00_3);
		}

	}



/* &ucs2? */
	obj_t BGl_z62ucs2zf3z91zz__ucs2z00(obj_t BgL_envz00_1144,
		obj_t BgL_objz00_1145)
	{
		{	/* Llib/ucs2.scm 146 */
			return BBOOL(BGl_ucs2zf3zf3zz__ucs2z00(BgL_objz00_1145));
		}

	}



/* ucs2=? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd3zf3z20zz__ucs2z00(ucs2_t BgL_ucs2az00_4,
		ucs2_t BgL_ucs2bz00_5)
	{
		{	/* Llib/ucs2.scm 152 */
			return (BgL_ucs2az00_4 == BgL_ucs2bz00_5);
		}

	}



/* &ucs2=? */
	obj_t BGl_z62ucs2zd3zf3z42zz__ucs2z00(obj_t BgL_envz00_1146,
		obj_t BgL_ucs2az00_1147, obj_t BgL_ucs2bz00_1148)
	{
		{	/* Llib/ucs2.scm 152 */
			{	/* Llib/ucs2.scm 153 */
				bool_t BgL_tmpz00_1280;

				{	/* Llib/ucs2.scm 153 */
					ucs2_t BgL_auxz00_1290;
					ucs2_t BgL_auxz00_1281;

					{	/* Llib/ucs2.scm 153 */
						obj_t BgL_tmpz00_1291;

						if (UCS2P(BgL_ucs2bz00_1148))
							{	/* Llib/ucs2.scm 153 */
								BgL_tmpz00_1291 = BgL_ucs2bz00_1148;
							}
						else
							{
								obj_t BgL_auxz00_1294;

								BgL_auxz00_1294 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(6361L), BGl_string1503z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2bz00_1148);
								FAILURE(BgL_auxz00_1294, BFALSE, BFALSE);
							}
						BgL_auxz00_1290 = CUCS2(BgL_tmpz00_1291);
					}
					{	/* Llib/ucs2.scm 153 */
						obj_t BgL_tmpz00_1282;

						if (UCS2P(BgL_ucs2az00_1147))
							{	/* Llib/ucs2.scm 153 */
								BgL_tmpz00_1282 = BgL_ucs2az00_1147;
							}
						else
							{
								obj_t BgL_auxz00_1285;

								BgL_auxz00_1285 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(6361L), BGl_string1503z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2az00_1147);
								FAILURE(BgL_auxz00_1285, BFALSE, BFALSE);
							}
						BgL_auxz00_1281 = CUCS2(BgL_tmpz00_1282);
					}
					BgL_tmpz00_1280 =
						BGl_ucs2zd3zf3z20zz__ucs2z00(BgL_auxz00_1281, BgL_auxz00_1290);
				}
				return BBOOL(BgL_tmpz00_1280);
			}
		}

	}



/* ucs2<? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zc3zf3z30zz__ucs2z00(ucs2_t BgL_ucs2az00_6,
		ucs2_t BgL_ucs2bz00_7)
	{
		{	/* Llib/ucs2.scm 158 */
			return (BgL_ucs2az00_6 < BgL_ucs2bz00_7);
		}

	}



/* &ucs2<? */
	obj_t BGl_z62ucs2zc3zf3z52zz__ucs2z00(obj_t BgL_envz00_1149,
		obj_t BgL_ucs2az00_1150, obj_t BgL_ucs2bz00_1151)
	{
		{	/* Llib/ucs2.scm 158 */
			{	/* Llib/ucs2.scm 159 */
				bool_t BgL_tmpz00_1302;

				{	/* Llib/ucs2.scm 159 */
					ucs2_t BgL_auxz00_1312;
					ucs2_t BgL_auxz00_1303;

					{	/* Llib/ucs2.scm 159 */
						obj_t BgL_tmpz00_1313;

						if (UCS2P(BgL_ucs2bz00_1151))
							{	/* Llib/ucs2.scm 159 */
								BgL_tmpz00_1313 = BgL_ucs2bz00_1151;
							}
						else
							{
								obj_t BgL_auxz00_1316;

								BgL_auxz00_1316 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(6647L), BGl_string1505z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2bz00_1151);
								FAILURE(BgL_auxz00_1316, BFALSE, BFALSE);
							}
						BgL_auxz00_1312 = CUCS2(BgL_tmpz00_1313);
					}
					{	/* Llib/ucs2.scm 159 */
						obj_t BgL_tmpz00_1304;

						if (UCS2P(BgL_ucs2az00_1150))
							{	/* Llib/ucs2.scm 159 */
								BgL_tmpz00_1304 = BgL_ucs2az00_1150;
							}
						else
							{
								obj_t BgL_auxz00_1307;

								BgL_auxz00_1307 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(6647L), BGl_string1505z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2az00_1150);
								FAILURE(BgL_auxz00_1307, BFALSE, BFALSE);
							}
						BgL_auxz00_1303 = CUCS2(BgL_tmpz00_1304);
					}
					BgL_tmpz00_1302 =
						BGl_ucs2zc3zf3z30zz__ucs2z00(BgL_auxz00_1303, BgL_auxz00_1312);
				}
				return BBOOL(BgL_tmpz00_1302);
			}
		}

	}



/* ucs2>? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2ze3zf3z10zz__ucs2z00(ucs2_t BgL_ucs2az00_8,
		ucs2_t BgL_ucs2bz00_9)
	{
		{	/* Llib/ucs2.scm 164 */
			return (BgL_ucs2az00_8 > BgL_ucs2bz00_9);
		}

	}



/* &ucs2>? */
	obj_t BGl_z62ucs2ze3zf3z72zz__ucs2z00(obj_t BgL_envz00_1152,
		obj_t BgL_ucs2az00_1153, obj_t BgL_ucs2bz00_1154)
	{
		{	/* Llib/ucs2.scm 164 */
			{	/* Llib/ucs2.scm 165 */
				bool_t BgL_tmpz00_1324;

				{	/* Llib/ucs2.scm 165 */
					ucs2_t BgL_auxz00_1334;
					ucs2_t BgL_auxz00_1325;

					{	/* Llib/ucs2.scm 165 */
						obj_t BgL_tmpz00_1335;

						if (UCS2P(BgL_ucs2bz00_1154))
							{	/* Llib/ucs2.scm 165 */
								BgL_tmpz00_1335 = BgL_ucs2bz00_1154;
							}
						else
							{
								obj_t BgL_auxz00_1338;

								BgL_auxz00_1338 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(6934L), BGl_string1506z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2bz00_1154);
								FAILURE(BgL_auxz00_1338, BFALSE, BFALSE);
							}
						BgL_auxz00_1334 = CUCS2(BgL_tmpz00_1335);
					}
					{	/* Llib/ucs2.scm 165 */
						obj_t BgL_tmpz00_1326;

						if (UCS2P(BgL_ucs2az00_1153))
							{	/* Llib/ucs2.scm 165 */
								BgL_tmpz00_1326 = BgL_ucs2az00_1153;
							}
						else
							{
								obj_t BgL_auxz00_1329;

								BgL_auxz00_1329 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(6934L), BGl_string1506z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2az00_1153);
								FAILURE(BgL_auxz00_1329, BFALSE, BFALSE);
							}
						BgL_auxz00_1325 = CUCS2(BgL_tmpz00_1326);
					}
					BgL_tmpz00_1324 =
						BGl_ucs2ze3zf3z10zz__ucs2z00(BgL_auxz00_1325, BgL_auxz00_1334);
				}
				return BBOOL(BgL_tmpz00_1324);
			}
		}

	}



/* ucs2<=? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zc3zd3zf3ze3zz__ucs2z00(ucs2_t
		BgL_ucs2az00_10, ucs2_t BgL_ucs2bz00_11)
	{
		{	/* Llib/ucs2.scm 170 */
			return (BgL_ucs2az00_10 <= BgL_ucs2bz00_11);
		}

	}



/* &ucs2<=? */
	obj_t BGl_z62ucs2zc3zd3zf3z81zz__ucs2z00(obj_t BgL_envz00_1155,
		obj_t BgL_ucs2az00_1156, obj_t BgL_ucs2bz00_1157)
	{
		{	/* Llib/ucs2.scm 170 */
			{	/* Llib/ucs2.scm 171 */
				bool_t BgL_tmpz00_1346;

				{	/* Llib/ucs2.scm 171 */
					ucs2_t BgL_auxz00_1356;
					ucs2_t BgL_auxz00_1347;

					{	/* Llib/ucs2.scm 171 */
						obj_t BgL_tmpz00_1357;

						if (UCS2P(BgL_ucs2bz00_1157))
							{	/* Llib/ucs2.scm 171 */
								BgL_tmpz00_1357 = BgL_ucs2bz00_1157;
							}
						else
							{
								obj_t BgL_auxz00_1360;

								BgL_auxz00_1360 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(7221L), BGl_string1507z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2bz00_1157);
								FAILURE(BgL_auxz00_1360, BFALSE, BFALSE);
							}
						BgL_auxz00_1356 = CUCS2(BgL_tmpz00_1357);
					}
					{	/* Llib/ucs2.scm 171 */
						obj_t BgL_tmpz00_1348;

						if (UCS2P(BgL_ucs2az00_1156))
							{	/* Llib/ucs2.scm 171 */
								BgL_tmpz00_1348 = BgL_ucs2az00_1156;
							}
						else
							{
								obj_t BgL_auxz00_1351;

								BgL_auxz00_1351 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(7221L), BGl_string1507z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2az00_1156);
								FAILURE(BgL_auxz00_1351, BFALSE, BFALSE);
							}
						BgL_auxz00_1347 = CUCS2(BgL_tmpz00_1348);
					}
					BgL_tmpz00_1346 =
						BGl_ucs2zc3zd3zf3ze3zz__ucs2z00(BgL_auxz00_1347, BgL_auxz00_1356);
				}
				return BBOOL(BgL_tmpz00_1346);
			}
		}

	}



/* ucs2>=? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2ze3zd3zf3zc3zz__ucs2z00(ucs2_t
		BgL_ucs2az00_12, ucs2_t BgL_ucs2bz00_13)
	{
		{	/* Llib/ucs2.scm 176 */
			return (BgL_ucs2az00_12 >= BgL_ucs2bz00_13);
		}

	}



/* &ucs2>=? */
	obj_t BGl_z62ucs2ze3zd3zf3za1zz__ucs2z00(obj_t BgL_envz00_1158,
		obj_t BgL_ucs2az00_1159, obj_t BgL_ucs2bz00_1160)
	{
		{	/* Llib/ucs2.scm 176 */
			{	/* Llib/ucs2.scm 177 */
				bool_t BgL_tmpz00_1368;

				{	/* Llib/ucs2.scm 177 */
					ucs2_t BgL_auxz00_1378;
					ucs2_t BgL_auxz00_1369;

					{	/* Llib/ucs2.scm 177 */
						obj_t BgL_tmpz00_1379;

						if (UCS2P(BgL_ucs2bz00_1160))
							{	/* Llib/ucs2.scm 177 */
								BgL_tmpz00_1379 = BgL_ucs2bz00_1160;
							}
						else
							{
								obj_t BgL_auxz00_1382;

								BgL_auxz00_1382 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(7510L), BGl_string1508z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2bz00_1160);
								FAILURE(BgL_auxz00_1382, BFALSE, BFALSE);
							}
						BgL_auxz00_1378 = CUCS2(BgL_tmpz00_1379);
					}
					{	/* Llib/ucs2.scm 177 */
						obj_t BgL_tmpz00_1370;

						if (UCS2P(BgL_ucs2az00_1159))
							{	/* Llib/ucs2.scm 177 */
								BgL_tmpz00_1370 = BgL_ucs2az00_1159;
							}
						else
							{
								obj_t BgL_auxz00_1373;

								BgL_auxz00_1373 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(7510L), BGl_string1508z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2az00_1159);
								FAILURE(BgL_auxz00_1373, BFALSE, BFALSE);
							}
						BgL_auxz00_1369 = CUCS2(BgL_tmpz00_1370);
					}
					BgL_tmpz00_1368 =
						BGl_ucs2ze3zd3zf3zc3zz__ucs2z00(BgL_auxz00_1369, BgL_auxz00_1378);
				}
				return BBOOL(BgL_tmpz00_1368);
			}
		}

	}



/* ucs2-ci=? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cizd3zf3zf2zz__ucs2z00(ucs2_t
		BgL_ucs2az00_14, ucs2_t BgL_ucs2bz00_15)
	{
		{	/* Llib/ucs2.scm 182 */
			return (ucs2_toupper(BgL_ucs2az00_14) == ucs2_toupper(BgL_ucs2bz00_15));
		}

	}



/* &ucs2-ci=? */
	obj_t BGl_z62ucs2zd2cizd3zf3z90zz__ucs2z00(obj_t BgL_envz00_1161,
		obj_t BgL_ucs2az00_1162, obj_t BgL_ucs2bz00_1163)
	{
		{	/* Llib/ucs2.scm 182 */
			{	/* Llib/ucs2.scm 183 */
				bool_t BgL_tmpz00_1392;

				{	/* Llib/ucs2.scm 183 */
					ucs2_t BgL_auxz00_1402;
					ucs2_t BgL_auxz00_1393;

					{	/* Llib/ucs2.scm 183 */
						obj_t BgL_tmpz00_1403;

						if (UCS2P(BgL_ucs2bz00_1163))
							{	/* Llib/ucs2.scm 183 */
								BgL_tmpz00_1403 = BgL_ucs2bz00_1163;
							}
						else
							{
								obj_t BgL_auxz00_1406;

								BgL_auxz00_1406 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(7808L), BGl_string1509z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2bz00_1163);
								FAILURE(BgL_auxz00_1406, BFALSE, BFALSE);
							}
						BgL_auxz00_1402 = CUCS2(BgL_tmpz00_1403);
					}
					{	/* Llib/ucs2.scm 183 */
						obj_t BgL_tmpz00_1394;

						if (UCS2P(BgL_ucs2az00_1162))
							{	/* Llib/ucs2.scm 183 */
								BgL_tmpz00_1394 = BgL_ucs2az00_1162;
							}
						else
							{
								obj_t BgL_auxz00_1397;

								BgL_auxz00_1397 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(7808L), BGl_string1509z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2az00_1162);
								FAILURE(BgL_auxz00_1397, BFALSE, BFALSE);
							}
						BgL_auxz00_1393 = CUCS2(BgL_tmpz00_1394);
					}
					BgL_tmpz00_1392 =
						BGl_ucs2zd2cizd3zf3zf2zz__ucs2z00(BgL_auxz00_1393, BgL_auxz00_1402);
				}
				return BBOOL(BgL_tmpz00_1392);
			}
		}

	}



/* ucs2-ci<? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cizc3zf3ze2zz__ucs2z00(ucs2_t
		BgL_ucs2az00_16, ucs2_t BgL_ucs2bz00_17)
	{
		{	/* Llib/ucs2.scm 188 */
			return (ucs2_toupper(BgL_ucs2az00_16) < ucs2_toupper(BgL_ucs2bz00_17));
		}

	}



/* &ucs2-ci<? */
	obj_t BGl_z62ucs2zd2cizc3zf3z80zz__ucs2z00(obj_t BgL_envz00_1164,
		obj_t BgL_ucs2az00_1165, obj_t BgL_ucs2bz00_1166)
	{
		{	/* Llib/ucs2.scm 188 */
			{	/* Llib/ucs2.scm 189 */
				bool_t BgL_tmpz00_1416;

				{	/* Llib/ucs2.scm 189 */
					ucs2_t BgL_auxz00_1426;
					ucs2_t BgL_auxz00_1417;

					{	/* Llib/ucs2.scm 189 */
						obj_t BgL_tmpz00_1427;

						if (UCS2P(BgL_ucs2bz00_1166))
							{	/* Llib/ucs2.scm 189 */
								BgL_tmpz00_1427 = BgL_ucs2bz00_1166;
							}
						else
							{
								obj_t BgL_auxz00_1430;

								BgL_auxz00_1430 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(8123L), BGl_string1510z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2bz00_1166);
								FAILURE(BgL_auxz00_1430, BFALSE, BFALSE);
							}
						BgL_auxz00_1426 = CUCS2(BgL_tmpz00_1427);
					}
					{	/* Llib/ucs2.scm 189 */
						obj_t BgL_tmpz00_1418;

						if (UCS2P(BgL_ucs2az00_1165))
							{	/* Llib/ucs2.scm 189 */
								BgL_tmpz00_1418 = BgL_ucs2az00_1165;
							}
						else
							{
								obj_t BgL_auxz00_1421;

								BgL_auxz00_1421 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(8123L), BGl_string1510z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2az00_1165);
								FAILURE(BgL_auxz00_1421, BFALSE, BFALSE);
							}
						BgL_auxz00_1417 = CUCS2(BgL_tmpz00_1418);
					}
					BgL_tmpz00_1416 =
						BGl_ucs2zd2cizc3zf3ze2zz__ucs2z00(BgL_auxz00_1417, BgL_auxz00_1426);
				}
				return BBOOL(BgL_tmpz00_1416);
			}
		}

	}



/* ucs2-ci>? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cize3zf3zc2zz__ucs2z00(ucs2_t
		BgL_ucs2az00_18, ucs2_t BgL_ucs2bz00_19)
	{
		{	/* Llib/ucs2.scm 194 */
			return (ucs2_toupper(BgL_ucs2az00_18) > ucs2_toupper(BgL_ucs2bz00_19));
		}

	}



/* &ucs2-ci>? */
	obj_t BGl_z62ucs2zd2cize3zf3za0zz__ucs2z00(obj_t BgL_envz00_1167,
		obj_t BgL_ucs2az00_1168, obj_t BgL_ucs2bz00_1169)
	{
		{	/* Llib/ucs2.scm 194 */
			{	/* Llib/ucs2.scm 195 */
				bool_t BgL_tmpz00_1440;

				{	/* Llib/ucs2.scm 195 */
					ucs2_t BgL_auxz00_1450;
					ucs2_t BgL_auxz00_1441;

					{	/* Llib/ucs2.scm 195 */
						obj_t BgL_tmpz00_1451;

						if (UCS2P(BgL_ucs2bz00_1169))
							{	/* Llib/ucs2.scm 195 */
								BgL_tmpz00_1451 = BgL_ucs2bz00_1169;
							}
						else
							{
								obj_t BgL_auxz00_1454;

								BgL_auxz00_1454 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(8440L), BGl_string1511z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2bz00_1169);
								FAILURE(BgL_auxz00_1454, BFALSE, BFALSE);
							}
						BgL_auxz00_1450 = CUCS2(BgL_tmpz00_1451);
					}
					{	/* Llib/ucs2.scm 195 */
						obj_t BgL_tmpz00_1442;

						if (UCS2P(BgL_ucs2az00_1168))
							{	/* Llib/ucs2.scm 195 */
								BgL_tmpz00_1442 = BgL_ucs2az00_1168;
							}
						else
							{
								obj_t BgL_auxz00_1445;

								BgL_auxz00_1445 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(8440L), BGl_string1511z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2az00_1168);
								FAILURE(BgL_auxz00_1445, BFALSE, BFALSE);
							}
						BgL_auxz00_1441 = CUCS2(BgL_tmpz00_1442);
					}
					BgL_tmpz00_1440 =
						BGl_ucs2zd2cize3zf3zc2zz__ucs2z00(BgL_auxz00_1441, BgL_auxz00_1450);
				}
				return BBOOL(BgL_tmpz00_1440);
			}
		}

	}



/* ucs2-ci<=? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cizc3zd3zf3z31zz__ucs2z00(ucs2_t
		BgL_ucs2az00_20, ucs2_t BgL_ucs2bz00_21)
	{
		{	/* Llib/ucs2.scm 200 */
			return (ucs2_toupper(BgL_ucs2az00_20) <= ucs2_toupper(BgL_ucs2bz00_21));
		}

	}



/* &ucs2-ci<=? */
	obj_t BGl_z62ucs2zd2cizc3zd3zf3z53zz__ucs2z00(obj_t BgL_envz00_1170,
		obj_t BgL_ucs2az00_1171, obj_t BgL_ucs2bz00_1172)
	{
		{	/* Llib/ucs2.scm 200 */
			{	/* Llib/ucs2.scm 201 */
				bool_t BgL_tmpz00_1464;

				{	/* Llib/ucs2.scm 201 */
					ucs2_t BgL_auxz00_1474;
					ucs2_t BgL_auxz00_1465;

					{	/* Llib/ucs2.scm 201 */
						obj_t BgL_tmpz00_1475;

						if (UCS2P(BgL_ucs2bz00_1172))
							{	/* Llib/ucs2.scm 201 */
								BgL_tmpz00_1475 = BgL_ucs2bz00_1172;
							}
						else
							{
								obj_t BgL_auxz00_1478;

								BgL_auxz00_1478 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(8757L), BGl_string1512z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2bz00_1172);
								FAILURE(BgL_auxz00_1478, BFALSE, BFALSE);
							}
						BgL_auxz00_1474 = CUCS2(BgL_tmpz00_1475);
					}
					{	/* Llib/ucs2.scm 201 */
						obj_t BgL_tmpz00_1466;

						if (UCS2P(BgL_ucs2az00_1171))
							{	/* Llib/ucs2.scm 201 */
								BgL_tmpz00_1466 = BgL_ucs2az00_1171;
							}
						else
							{
								obj_t BgL_auxz00_1469;

								BgL_auxz00_1469 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(8757L), BGl_string1512z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2az00_1171);
								FAILURE(BgL_auxz00_1469, BFALSE, BFALSE);
							}
						BgL_auxz00_1465 = CUCS2(BgL_tmpz00_1466);
					}
					BgL_tmpz00_1464 =
						BGl_ucs2zd2cizc3zd3zf3z31zz__ucs2z00(BgL_auxz00_1465,
						BgL_auxz00_1474);
				}
				return BBOOL(BgL_tmpz00_1464);
			}
		}

	}



/* ucs2-ci>=? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cize3zd3zf3z11zz__ucs2z00(ucs2_t
		BgL_ucs2az00_22, ucs2_t BgL_ucs2bz00_23)
	{
		{	/* Llib/ucs2.scm 206 */
			return (ucs2_toupper(BgL_ucs2az00_22) >= ucs2_toupper(BgL_ucs2bz00_23));
		}

	}



/* &ucs2-ci>=? */
	obj_t BGl_z62ucs2zd2cize3zd3zf3z73zz__ucs2z00(obj_t BgL_envz00_1173,
		obj_t BgL_ucs2az00_1174, obj_t BgL_ucs2bz00_1175)
	{
		{	/* Llib/ucs2.scm 206 */
			{	/* Llib/ucs2.scm 207 */
				bool_t BgL_tmpz00_1488;

				{	/* Llib/ucs2.scm 207 */
					ucs2_t BgL_auxz00_1498;
					ucs2_t BgL_auxz00_1489;

					{	/* Llib/ucs2.scm 207 */
						obj_t BgL_tmpz00_1499;

						if (UCS2P(BgL_ucs2bz00_1175))
							{	/* Llib/ucs2.scm 207 */
								BgL_tmpz00_1499 = BgL_ucs2bz00_1175;
							}
						else
							{
								obj_t BgL_auxz00_1502;

								BgL_auxz00_1502 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(9074L), BGl_string1513z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2bz00_1175);
								FAILURE(BgL_auxz00_1502, BFALSE, BFALSE);
							}
						BgL_auxz00_1498 = CUCS2(BgL_tmpz00_1499);
					}
					{	/* Llib/ucs2.scm 207 */
						obj_t BgL_tmpz00_1490;

						if (UCS2P(BgL_ucs2az00_1174))
							{	/* Llib/ucs2.scm 207 */
								BgL_tmpz00_1490 = BgL_ucs2az00_1174;
							}
						else
							{
								obj_t BgL_auxz00_1493;

								BgL_auxz00_1493 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(9074L), BGl_string1513z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2az00_1174);
								FAILURE(BgL_auxz00_1493, BFALSE, BFALSE);
							}
						BgL_auxz00_1489 = CUCS2(BgL_tmpz00_1490);
					}
					BgL_tmpz00_1488 =
						BGl_ucs2zd2cize3zd3zf3z11zz__ucs2z00(BgL_auxz00_1489,
						BgL_auxz00_1498);
				}
				return BBOOL(BgL_tmpz00_1488);
			}
		}

	}



/* ucs2-alphabetic? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2alphabeticzf3z21zz__ucs2z00(ucs2_t
		BgL_ucs2z00_24)
	{
		{	/* Llib/ucs2.scm 212 */
			BGL_TAIL return ucs2_letterp(BgL_ucs2z00_24);
		}

	}



/* &ucs2-alphabetic? */
	obj_t BGl_z62ucs2zd2alphabeticzf3z43zz__ucs2z00(obj_t BgL_envz00_1176,
		obj_t BgL_ucs2z00_1177)
	{
		{	/* Llib/ucs2.scm 212 */
			{	/* Llib/ucs2.scm 213 */
				bool_t BgL_tmpz00_1510;

				{	/* Llib/ucs2.scm 213 */
					ucs2_t BgL_auxz00_1511;

					{	/* Llib/ucs2.scm 213 */
						obj_t BgL_tmpz00_1512;

						if (UCS2P(BgL_ucs2z00_1177))
							{	/* Llib/ucs2.scm 213 */
								BgL_tmpz00_1512 = BgL_ucs2z00_1177;
							}
						else
							{
								obj_t BgL_auxz00_1515;

								BgL_auxz00_1515 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(9381L), BGl_string1514z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2z00_1177);
								FAILURE(BgL_auxz00_1515, BFALSE, BFALSE);
							}
						BgL_auxz00_1511 = CUCS2(BgL_tmpz00_1512);
					}
					BgL_tmpz00_1510 =
						BGl_ucs2zd2alphabeticzf3z21zz__ucs2z00(BgL_auxz00_1511);
				}
				return BBOOL(BgL_tmpz00_1510);
			}
		}

	}



/* ucs2-numeric? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2numericzf3z21zz__ucs2z00(ucs2_t
		BgL_ucs2z00_25)
	{
		{	/* Llib/ucs2.scm 218 */
			BGL_TAIL return ucs2_digitp(BgL_ucs2z00_25);
		}

	}



/* &ucs2-numeric? */
	obj_t BGl_z62ucs2zd2numericzf3z43zz__ucs2z00(obj_t BgL_envz00_1178,
		obj_t BgL_ucs2z00_1179)
	{
		{	/* Llib/ucs2.scm 218 */
			{	/* Llib/ucs2.scm 219 */
				bool_t BgL_tmpz00_1523;

				{	/* Llib/ucs2.scm 219 */
					ucs2_t BgL_auxz00_1524;

					{	/* Llib/ucs2.scm 219 */
						obj_t BgL_tmpz00_1525;

						if (UCS2P(BgL_ucs2z00_1179))
							{	/* Llib/ucs2.scm 219 */
								BgL_tmpz00_1525 = BgL_ucs2z00_1179;
							}
						else
							{
								obj_t BgL_auxz00_1528;

								BgL_auxz00_1528 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(9666L), BGl_string1515z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2z00_1179);
								FAILURE(BgL_auxz00_1528, BFALSE, BFALSE);
							}
						BgL_auxz00_1524 = CUCS2(BgL_tmpz00_1525);
					}
					BgL_tmpz00_1523 =
						BGl_ucs2zd2numericzf3z21zz__ucs2z00(BgL_auxz00_1524);
				}
				return BBOOL(BgL_tmpz00_1523);
			}
		}

	}



/* ucs2-whitespace? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2whitespacezf3z21zz__ucs2z00(ucs2_t
		BgL_ucs2z00_26)
	{
		{	/* Llib/ucs2.scm 224 */
			BGL_TAIL return ucs2_whitespacep(BgL_ucs2z00_26);
		}

	}



/* &ucs2-whitespace? */
	obj_t BGl_z62ucs2zd2whitespacezf3z43zz__ucs2z00(obj_t BgL_envz00_1180,
		obj_t BgL_ucs2z00_1181)
	{
		{	/* Llib/ucs2.scm 224 */
			{	/* Llib/ucs2.scm 225 */
				bool_t BgL_tmpz00_1536;

				{	/* Llib/ucs2.scm 225 */
					ucs2_t BgL_auxz00_1537;

					{	/* Llib/ucs2.scm 225 */
						obj_t BgL_tmpz00_1538;

						if (UCS2P(BgL_ucs2z00_1181))
							{	/* Llib/ucs2.scm 225 */
								BgL_tmpz00_1538 = BgL_ucs2z00_1181;
							}
						else
							{
								obj_t BgL_auxz00_1541;

								BgL_auxz00_1541 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(9953L), BGl_string1516z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2z00_1181);
								FAILURE(BgL_auxz00_1541, BFALSE, BFALSE);
							}
						BgL_auxz00_1537 = CUCS2(BgL_tmpz00_1538);
					}
					BgL_tmpz00_1536 =
						BGl_ucs2zd2whitespacezf3z21zz__ucs2z00(BgL_auxz00_1537);
				}
				return BBOOL(BgL_tmpz00_1536);
			}
		}

	}



/* ucs2-upper-case? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2upperzd2casezf3zf3zz__ucs2z00(ucs2_t
		BgL_ucs2z00_27)
	{
		{	/* Llib/ucs2.scm 230 */
			BGL_TAIL return ucs2_upperp(BgL_ucs2z00_27);
		}

	}



/* &ucs2-upper-case? */
	obj_t BGl_z62ucs2zd2upperzd2casezf3z91zz__ucs2z00(obj_t BgL_envz00_1182,
		obj_t BgL_ucs2z00_1183)
	{
		{	/* Llib/ucs2.scm 230 */
			{	/* Llib/ucs2.scm 231 */
				bool_t BgL_tmpz00_1549;

				{	/* Llib/ucs2.scm 231 */
					ucs2_t BgL_auxz00_1550;

					{	/* Llib/ucs2.scm 231 */
						obj_t BgL_tmpz00_1551;

						if (UCS2P(BgL_ucs2z00_1183))
							{	/* Llib/ucs2.scm 231 */
								BgL_tmpz00_1551 = BgL_ucs2z00_1183;
							}
						else
							{
								obj_t BgL_auxz00_1554;

								BgL_auxz00_1554 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(10245L), BGl_string1517z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2z00_1183);
								FAILURE(BgL_auxz00_1554, BFALSE, BFALSE);
							}
						BgL_auxz00_1550 = CUCS2(BgL_tmpz00_1551);
					}
					BgL_tmpz00_1549 =
						BGl_ucs2zd2upperzd2casezf3zf3zz__ucs2z00(BgL_auxz00_1550);
				}
				return BBOOL(BgL_tmpz00_1549);
			}
		}

	}



/* ucs2-lower-case? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2lowerzd2casezf3zf3zz__ucs2z00(ucs2_t
		BgL_ucs2z00_28)
	{
		{	/* Llib/ucs2.scm 236 */
			BGL_TAIL return ucs2_lowerp(BgL_ucs2z00_28);
		}

	}



/* &ucs2-lower-case? */
	obj_t BGl_z62ucs2zd2lowerzd2casezf3z91zz__ucs2z00(obj_t BgL_envz00_1184,
		obj_t BgL_ucs2z00_1185)
	{
		{	/* Llib/ucs2.scm 236 */
			{	/* Llib/ucs2.scm 237 */
				bool_t BgL_tmpz00_1562;

				{	/* Llib/ucs2.scm 237 */
					ucs2_t BgL_auxz00_1563;

					{	/* Llib/ucs2.scm 237 */
						obj_t BgL_tmpz00_1564;

						if (UCS2P(BgL_ucs2z00_1185))
							{	/* Llib/ucs2.scm 237 */
								BgL_tmpz00_1564 = BgL_ucs2z00_1185;
							}
						else
							{
								obj_t BgL_auxz00_1567;

								BgL_auxz00_1567 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(10532L), BGl_string1518z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2z00_1185);
								FAILURE(BgL_auxz00_1567, BFALSE, BFALSE);
							}
						BgL_auxz00_1563 = CUCS2(BgL_tmpz00_1564);
					}
					BgL_tmpz00_1562 =
						BGl_ucs2zd2lowerzd2casezf3zf3zz__ucs2z00(BgL_auxz00_1563);
				}
				return BBOOL(BgL_tmpz00_1562);
			}
		}

	}



/* ucs2-upcase */
	BGL_EXPORTED_DEF ucs2_t BGl_ucs2zd2upcasezd2zz__ucs2z00(ucs2_t BgL_ucs2z00_29)
	{
		{	/* Llib/ucs2.scm 242 */
			BGL_TAIL return ucs2_toupper(BgL_ucs2z00_29);
		}

	}



/* &ucs2-upcase */
	obj_t BGl_z62ucs2zd2upcasezb0zz__ucs2z00(obj_t BgL_envz00_1186,
		obj_t BgL_ucs2z00_1187)
	{
		{	/* Llib/ucs2.scm 242 */
			{	/* Llib/ucs2.scm 243 */
				ucs2_t BgL_tmpz00_1575;

				{	/* Llib/ucs2.scm 243 */
					ucs2_t BgL_auxz00_1576;

					{	/* Llib/ucs2.scm 243 */
						obj_t BgL_tmpz00_1577;

						if (UCS2P(BgL_ucs2z00_1187))
							{	/* Llib/ucs2.scm 243 */
								BgL_tmpz00_1577 = BgL_ucs2z00_1187;
							}
						else
							{
								obj_t BgL_auxz00_1580;

								BgL_auxz00_1580 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(10814L), BGl_string1519z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2z00_1187);
								FAILURE(BgL_auxz00_1580, BFALSE, BFALSE);
							}
						BgL_auxz00_1576 = CUCS2(BgL_tmpz00_1577);
					}
					BgL_tmpz00_1575 = BGl_ucs2zd2upcasezd2zz__ucs2z00(BgL_auxz00_1576);
				}
				return BUCS2(BgL_tmpz00_1575);
			}
		}

	}



/* ucs2-downcase */
	BGL_EXPORTED_DEF ucs2_t BGl_ucs2zd2downcasezd2zz__ucs2z00(ucs2_t
		BgL_ucs2z00_30)
	{
		{	/* Llib/ucs2.scm 248 */
			BGL_TAIL return ucs2_tolower(BgL_ucs2z00_30);
		}

	}



/* &ucs2-downcase */
	obj_t BGl_z62ucs2zd2downcasezb0zz__ucs2z00(obj_t BgL_envz00_1188,
		obj_t BgL_ucs2z00_1189)
	{
		{	/* Llib/ucs2.scm 248 */
			{	/* Llib/ucs2.scm 249 */
				ucs2_t BgL_tmpz00_1588;

				{	/* Llib/ucs2.scm 249 */
					ucs2_t BgL_auxz00_1589;

					{	/* Llib/ucs2.scm 249 */
						obj_t BgL_tmpz00_1590;

						if (UCS2P(BgL_ucs2z00_1189))
							{	/* Llib/ucs2.scm 249 */
								BgL_tmpz00_1590 = BgL_ucs2z00_1189;
							}
						else
							{
								obj_t BgL_auxz00_1593;

								BgL_auxz00_1593 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(11098L), BGl_string1520z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2z00_1189);
								FAILURE(BgL_auxz00_1593, BFALSE, BFALSE);
							}
						BgL_auxz00_1589 = CUCS2(BgL_tmpz00_1590);
					}
					BgL_tmpz00_1588 = BGl_ucs2zd2downcasezd2zz__ucs2z00(BgL_auxz00_1589);
				}
				return BUCS2(BgL_tmpz00_1588);
			}
		}

	}



/* integer->ucs2 */
	BGL_EXPORTED_DEF ucs2_t BGl_integerzd2ze3ucs2z31zz__ucs2z00(int BgL_intz00_31)
	{
		{	/* Llib/ucs2.scm 254 */
			{	/* Llib/ucs2.scm 255 */
				bool_t BgL_test1619z00_1600;

				if (((long) (BgL_intz00_31) >= 0L))
					{	/* Llib/ucs2.scm 255 */
						BgL_test1619z00_1600 = ((long) (BgL_intz00_31) < 65536L);
					}
				else
					{	/* Llib/ucs2.scm 255 */
						BgL_test1619z00_1600 = ((bool_t) 0);
					}
				if (BgL_test1619z00_1600)
					{	/* Llib/ucs2.scm 255 */
						if (ucs2_definedp(BgL_intz00_31))
							{	/* Llib/ucs2.scm 256 */
								return BGL_INT_TO_UCS2(BgL_intz00_31);
							}
						else
							{	/* Llib/ucs2.scm 256 */
								return
									CUCS2(BGl_errorz00zz__errorz00(BGl_symbol1521z00zz__ucs2z00,
										BGl_string1523z00zz__ucs2z00, BINT(BgL_intz00_31)));
							}
					}
				else
					{	/* Llib/ucs2.scm 255 */
						return
							CUCS2(BGl_errorz00zz__errorz00(BGl_symbol1521z00zz__ucs2z00,
								BGl_string1524z00zz__ucs2z00, BINT(BgL_intz00_31)));
					}
			}
		}

	}



/* &integer->ucs2 */
	obj_t BGl_z62integerzd2ze3ucs2z53zz__ucs2z00(obj_t BgL_envz00_1190,
		obj_t BgL_intz00_1191)
	{
		{	/* Llib/ucs2.scm 254 */
			{	/* Llib/ucs2.scm 255 */
				ucs2_t BgL_tmpz00_1615;

				{	/* Llib/ucs2.scm 255 */
					int BgL_auxz00_1616;

					{	/* Llib/ucs2.scm 255 */
						obj_t BgL_tmpz00_1617;

						if (INTEGERP(BgL_intz00_1191))
							{	/* Llib/ucs2.scm 255 */
								BgL_tmpz00_1617 = BgL_intz00_1191;
							}
						else
							{
								obj_t BgL_auxz00_1620;

								BgL_auxz00_1620 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(11394L), BGl_string1525z00zz__ucs2z00,
									BGl_string1526z00zz__ucs2z00, BgL_intz00_1191);
								FAILURE(BgL_auxz00_1620, BFALSE, BFALSE);
							}
						BgL_auxz00_1616 = CINT(BgL_tmpz00_1617);
					}
					BgL_tmpz00_1615 =
						BGl_integerzd2ze3ucs2z31zz__ucs2z00(BgL_auxz00_1616);
				}
				return BUCS2(BgL_tmpz00_1615);
			}
		}

	}



/* integer->ucs2-ur */
	BGL_EXPORTED_DEF ucs2_t BGl_integerzd2ze3ucs2zd2urze3zz__ucs2z00(int
		BgL_intz00_32)
	{
		{	/* Llib/ucs2.scm 264 */
			return BGL_INT_TO_UCS2(BgL_intz00_32);
		}

	}



/* &integer->ucs2-ur */
	obj_t BGl_z62integerzd2ze3ucs2zd2urz81zz__ucs2z00(obj_t BgL_envz00_1192,
		obj_t BgL_intz00_1193)
	{
		{	/* Llib/ucs2.scm 264 */
			{	/* Llib/ucs2.scm 265 */
				ucs2_t BgL_tmpz00_1628;

				{	/* Llib/ucs2.scm 265 */
					int BgL_auxz00_1629;

					{	/* Llib/ucs2.scm 265 */
						obj_t BgL_tmpz00_1630;

						if (INTEGERP(BgL_intz00_1193))
							{	/* Llib/ucs2.scm 265 */
								BgL_tmpz00_1630 = BgL_intz00_1193;
							}
						else
							{
								obj_t BgL_auxz00_1633;

								BgL_auxz00_1633 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(11890L), BGl_string1527z00zz__ucs2z00,
									BGl_string1526z00zz__ucs2z00, BgL_intz00_1193);
								FAILURE(BgL_auxz00_1633, BFALSE, BFALSE);
							}
						BgL_auxz00_1629 = CINT(BgL_tmpz00_1630);
					}
					BgL_tmpz00_1628 =
						BGl_integerzd2ze3ucs2zd2urze3zz__ucs2z00(BgL_auxz00_1629);
				}
				return BUCS2(BgL_tmpz00_1628);
			}
		}

	}



/* ucs2->integer */
	BGL_EXPORTED_DEF int BGl_ucs2zd2ze3integerz31zz__ucs2z00(ucs2_t
		BgL_ucs2z00_33)
	{
		{	/* Llib/ucs2.scm 270 */
			{	/* Llib/ucs2.scm 271 */
				obj_t BgL_tmpz00_1640;

				BgL_tmpz00_1640 = BUCS2(BgL_ucs2z00_33);
				return CUCS2(BgL_tmpz00_1640);
			}
		}

	}



/* &ucs2->integer */
	obj_t BGl_z62ucs2zd2ze3integerz53zz__ucs2z00(obj_t BgL_envz00_1194,
		obj_t BgL_ucs2z00_1195)
	{
		{	/* Llib/ucs2.scm 270 */
			{	/* Llib/ucs2.scm 271 */
				int BgL_tmpz00_1643;

				{	/* Llib/ucs2.scm 271 */
					ucs2_t BgL_auxz00_1644;

					{	/* Llib/ucs2.scm 271 */
						obj_t BgL_tmpz00_1645;

						if (UCS2P(BgL_ucs2z00_1195))
							{	/* Llib/ucs2.scm 271 */
								BgL_tmpz00_1645 = BgL_ucs2z00_1195;
							}
						else
							{
								obj_t BgL_auxz00_1648;

								BgL_auxz00_1648 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(12186L), BGl_string1528z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2z00_1195);
								FAILURE(BgL_auxz00_1648, BFALSE, BFALSE);
							}
						BgL_auxz00_1644 = CUCS2(BgL_tmpz00_1645);
					}
					BgL_tmpz00_1643 =
						BGl_ucs2zd2ze3integerz31zz__ucs2z00(BgL_auxz00_1644);
				}
				return BINT(BgL_tmpz00_1643);
			}
		}

	}



/* char->ucs2 */
	BGL_EXPORTED_DEF ucs2_t BGl_charzd2ze3ucs2z31zz__ucs2z00(unsigned char
		BgL_charz00_34)
	{
		{	/* Llib/ucs2.scm 276 */
			{	/* Llib/ucs2.scm 265 */
				int BgL_tmpz00_1655;

				BgL_tmpz00_1655 = (int) (((unsigned char) (BgL_charz00_34)));
				return BGL_INT_TO_UCS2(BgL_tmpz00_1655);
			}
		}

	}



/* &char->ucs2 */
	obj_t BGl_z62charzd2ze3ucs2z53zz__ucs2z00(obj_t BgL_envz00_1196,
		obj_t BgL_charz00_1197)
	{
		{	/* Llib/ucs2.scm 276 */
			{	/* Llib/ucs2.scm 277 */
				ucs2_t BgL_tmpz00_1660;

				{	/* Llib/ucs2.scm 277 */
					unsigned char BgL_auxz00_1661;

					{	/* Llib/ucs2.scm 277 */
						obj_t BgL_tmpz00_1662;

						if (CHARP(BgL_charz00_1197))
							{	/* Llib/ucs2.scm 277 */
								BgL_tmpz00_1662 = BgL_charz00_1197;
							}
						else
							{
								obj_t BgL_auxz00_1665;

								BgL_auxz00_1665 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(12499L), BGl_string1529z00zz__ucs2z00,
									BGl_string1530z00zz__ucs2z00, BgL_charz00_1197);
								FAILURE(BgL_auxz00_1665, BFALSE, BFALSE);
							}
						BgL_auxz00_1661 = CCHAR(BgL_tmpz00_1662);
					}
					BgL_tmpz00_1660 = BGl_charzd2ze3ucs2z31zz__ucs2z00(BgL_auxz00_1661);
				}
				return BUCS2(BgL_tmpz00_1660);
			}
		}

	}



/* ucs2->char */
	BGL_EXPORTED_DEF unsigned char BGl_ucs2zd2ze3charz31zz__ucs2z00(ucs2_t
		BgL_ucs2z00_35)
	{
		{	/* Llib/ucs2.scm 282 */
			{	/* Llib/ucs2.scm 283 */
				int BgL_intz00_1086;

				{	/* Llib/ucs2.scm 271 */
					obj_t BgL_tmpz00_1672;

					BgL_tmpz00_1672 = BUCS2(BgL_ucs2z00_35);
					BgL_intz00_1086 = CUCS2(BgL_tmpz00_1672);
				}
				if (((long) (BgL_intz00_1086) < 256L))
					{	/* Llib/ucs2.scm 284 */
						return (char) (((long) (BgL_intz00_1086)));
					}
				else
					{	/* Llib/ucs2.scm 284 */
						return
							CCHAR(BGl_errorz00zz__errorz00(BGl_symbol1531z00zz__ucs2z00,
								BGl_string1533z00zz__ucs2z00, BUCS2(BgL_ucs2z00_35)));
					}
			}
		}

	}



/* &ucs2->char */
	obj_t BGl_z62ucs2zd2ze3charz53zz__ucs2z00(obj_t BgL_envz00_1198,
		obj_t BgL_ucs2z00_1199)
	{
		{	/* Llib/ucs2.scm 282 */
			{	/* Llib/ucs2.scm 283 */
				unsigned char BgL_tmpz00_1684;

				{	/* Llib/ucs2.scm 283 */
					ucs2_t BgL_auxz00_1685;

					{	/* Llib/ucs2.scm 283 */
						obj_t BgL_tmpz00_1686;

						if (UCS2P(BgL_ucs2z00_1199))
							{	/* Llib/ucs2.scm 283 */
								BgL_tmpz00_1686 = BgL_ucs2z00_1199;
							}
						else
							{
								obj_t BgL_auxz00_1689;

								BgL_auxz00_1689 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1502z00zz__ucs2z00,
									BINT(12786L), BGl_string1534z00zz__ucs2z00,
									BGl_string1504z00zz__ucs2z00, BgL_ucs2z00_1199);
								FAILURE(BgL_auxz00_1689, BFALSE, BFALSE);
							}
						BgL_auxz00_1685 = CUCS2(BgL_tmpz00_1686);
					}
					BgL_tmpz00_1684 = BGl_ucs2zd2ze3charz31zz__ucs2z00(BgL_auxz00_1685);
				}
				return BCHAR(BgL_tmpz00_1684);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__ucs2z00(void)
	{
		{	/* Llib/ucs2.scm 14 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string1535z00zz__ucs2z00));
		}

	}

#ifdef __cplusplus
}
#endif
